POST rotate · Checkout API
POST rotate
POST
/api/v1/clients/{clientId}/api-keys/rotateRotates the client's active long-lived API key by generating a new one.
The previously active API key remains valid for
10minutes, unless it expires sooner or the newly generated key makes its first API request.[WIP] Revokes the previously active API key upon successful rotation.
The newly issued key can be used immediately to request short-lived access tokens.
Parameter
clientIdguidErforderlichThe unique identifier of the client.
Request-Header
Content-Typeapplication/json; charset=utf-8AuthorizationApiKey <apiKey>Idempotency-Key<idempotencyKey>Security-Token<securityToken>Timestamp<timestamp>Originaler Blueprint-Ausschnitt
API Blueprint
### POST rotate [POST /api/v1/clients/{clientId}/api-keys/rotate]
Rotates the client's active long-lived API key by generating a new one.
+ The previously active API key remains valid for `10` minutes, unless it expires sooner or the newly generated key makes its first API request.
+ **[WIP]** Revokes the previously active API key upon successful rotation.
+ The newly issued key can be used immediately to request short-lived access tokens.
+ Parameters
+ clientId (guid, required) - The unique identifier of the client.
+ Request (application/json; charset=utf-8)
+ Headers
Authorization: ApiKey <apiKey>
Idempotency-Key: <idempotencyKey>
Security-Token: <securityToken>
Timestamp: <timestamp>
+ Response 200 (application/json; charset=utf-8)
+ Attributes
+ rotatingIn (object, required) - The new API key that will be replacing the old API key.
+ id: `068933bb-1f50-46b9-bd2f-3414e8a83e36` (string, required) - The unique identifier of the new API key.
+ key: `qnp_qnipscheckout_sandbox_O9nFZH77g1fhq3KXUowBqPl9v7rkPwwLa1FJb9jiXDFQPSX` (string, required) - The actual API key.
+ expirationTimestamp: `2026-01-17T00:00:00.000Z` (string, required) - The expiration date and time of the new API key in UTC.
+ rotatingOut (object, required) - The old API key that will be replaced by the new API key.
+ id: `f8975cdc-0902-4e35-9faa-cdc1492b4a5c` (string, required) - The unique identifier of the old API key.
+ expirationTimestamp: `2025-11-18T00:00:00.000Z` (string, required) - The expiration date and time of the old API key in UTC.
+ Body
{
"rotatingIn": {
"id": "068933bb-1f50-46b9-bd2f-3414e8a83e36",
"key": "qnp_qnipscheckout_sandbox_O9nFZH77g1fhq3KXUowBqPl9v7rkPwwLa1FJb9jiXDFQPSX",
"expirationTimestamp": "2026-01-17T00:00:00.000Z"
},
"rotatingOut": {
"id": "f8975cdc-0902-4e35-9faa-cdc1492b4a5c",
"expirationTimestamp": "2025-11-18T00:00:00.000Z"
}
}
+ Schema
{
"type": "object",
"properties": {
"rotatingIn": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid"
},
"key": {
"type": "string"
},
"expirationTimestamp": {
"type": "string",
"format": "date-time"
}
}
},
"rotatingOut": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid"
},
"expirationTimestamp": {
"type": "string",
"format": "date-time"
}
}
}
}
}